<?xml version="1.0" ?>
<xsl:stylesheet    version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />

<xsl:template match="/index">
<html>

<head>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title><xsl:value-of select="hostname" /> : <xsl:value-of select="request_uri" /></title>
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="/favicon.ico" />
<link href="/home.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div class="header">
    <div class="stitle">Mirror OSS CEDIA</div>
</div>
<table id="distros">
<tbody>
<xsl:for-each select="rows/row">
<xsl:for-each select="section">
    <tr><td colspan="4" id="sectionTitle"><xsl:value-of select="." /></td></tr>
</xsl:for-each>
<tr>
<xsl:for-each select="distros/distro">
    <td id="distro">
<xsl:if test="details">
            <div id="dLogo"><img id="vMid" src="{@logo}" width="64px" height="64px" /></div>
        <div id="dDesc"><h3>
<xsl:for-each select="details/detail">
        <a href="{@link}"><xsl:value-of select="." /></a><hr />
</xsl:for-each>
        </h3></div>
</xsl:if>
    </td>
</xsl:for-each>
</tr>
</xsl:for-each>
</tbody>
<tfoot>
<tr><td colspan="4" id="sectionTitle">Otros mirrors</td></tr>
<tr><td colspan="4">
<xsl:for-each select="mirrors/mirror">
    Visite el <a href="{@link}">mirror de la <xsl:value-of select="." /></a> para acceder a más distribuciones/repositorios<hr />
</xsl:for-each>
</td></tr>
</tfoot>
</table>
<div class="powered">
    By/Contact: 
    <a href="mailto:mirror@cedia.org.ec?Subject=CEDIA%20mirror%20question">
        Paul Bernal Barzallo <![CDATA[&]]> Ernesto P&#233;rez Est&#233;vez
    </a>
    &#169; <a href="https://www.cedia.org.ec" target="_blank">Red CEDIA</a> 2014-2018
</div>
</body>

</html>
</xsl:template>

</xsl:stylesheet>
