<?xml version="1.0" ?>
<xsl:stylesheet    version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />

<xsl:template match="/index">
<html>

<head>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title><xsl:value-of select="hostname" /> : <xsl:value-of select="request_uri" /></title>
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="/favicon.ico" />
<link href="/mirror.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div class="header">
    <div class="stitle">Mirror OSS CEDIA</div>
</div>
<h1><a href="../">..</a><xsl:value-of select="request_uri" /></h1>
<table>
<thead>
<tr>
    <th class="filename">filename</th>
    <th class="timestamp">timestamp</th>
    <th class="size">filesize</th>
</tr>
</thead>
<tbody>
<xsl:for-each select="files/file">
<tr onClick="javascript:window.location.href='{.}'">
    <td class="{@type}"><a href="{@url_encoded}"><xsl:value-of select="." /></a></td>
    <td><xsl:value-of select="@timestamp" /></td>
    <td class="size"><xsl:value-of select="@size" /></td>
</tr>
</xsl:for-each>
</tbody>
<tfoot>
<tr>
    <td class="totalfiles"><xsl:value-of select="count(files/file)" /> archivos</td>
    <td></td>
    <td class="totalsize"><xsl:value-of select="total_size" /></td>
</tr>
</tfoot>
</table>
<!--<div class="powered">Powered by <a href="https://www.cedia.org.ec/" target="_blank"><xsl:value-of select="software" /></a></div>-->
<div class="powered">
    By/Contact: 
    <a href="mailto:mirror@cedia.org.ec?Subject=CEDIA%20mirror%20question">
        Paul Bernal Barzallo <![CDATA[&]]> Ernesto P&#233;rez Est&#233;vez
    </a>
    &#169; <a href="https://www.cedia.org.ec" target="_blank">Red CEDIA</a> 2014-2018
</div>
</body>

</html>
</xsl:template>

</xsl:stylesheet>
